%define sourcever %(echo %version | cut -d. -f1-2)
Name:          mdbtools
Version:       1.0.1
Release:       1mamba
Summary:       A set of utilities for reading Microsoft Access database (MDB) files
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/mdbtools/mdbtools
Source:        https://github.com/mdbtools/mdbtools.git/v%{version}/mdbtools-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
BuildRequires: libodbc-devel
BuildRequires: libreadline-devel
## AUTOBUILDREQ-END
BuildRequires: txt2man

%description
A set of utilities for reading Microsoft Access database (MDB) files.

%package -n libmdb
Summary:       A set of libraries for reading Microsoft Access database (MDB) files
Group:         System/Libraries

%description -n libmdb
A set of libraries for reading Microsoft Access database (MDB) files.

%package -n libmdb-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      libmdb = %{?epoch:%epoch:}%{version}-%{release}

%description -n libmdb-devel
A set of libraries for reading Microsoft Access database (MDB) files.
This package contains static libraries and header files needed for development.

%package -n gmdb
Summary:       GNOME frontend from %{name}
Group:         Graphical Desktop/Applications/Utilities

%description -n gmdb
GNOME frontend from %{name}.

%debug_package

%prep
%setup -q
autoreconf -f -i

%build
%configure \
   --with-unixodbc=%{_prefix}

%make 

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

rm -rf %{buildroot}%{_localstatedir}/scrollkeeper

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/mdb-*
%{_datadir}/bash-completion/completions/mdb-*
%{_mandir}/man1/mdb-*.1*
%doc COPYING

%files -n libmdb
%defattr(-,root,root)
%{_libdir}/libmdbsql.so.*
%{_libdir}/libmdb.so.*
%{_libdir}/odbc/libmdbodbc.a
%{_libdir}/odbc/libmdbodbc.so
%{_libdir}/odbc/libmdbodbcW.a
%{_libdir}/odbc/libmdbodbcW.so
%doc AUTHORS COPYING.LIB

%files -n libmdb-devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/libmdbsql.a
%{_libdir}/libmdbsql.so
%{_libdir}/libmdb.a
%{_libdir}/libmdb.so
%{_libdir}/pkgconfig/*.pc
#%doc ChangeLog NEWS README TODO

%changelog
* Sat Dec 28 2024 Automatic Build System <autodist@openmamba.org> 1.0.1-1mamba
- automatic version update by autodist

* Mon Dec 27 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-1mamba
- update to 1.0.0

* Sun Jun 13 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.1-1mamba
- update to 0.7.1

* Sun Mar 10 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7-1mamba
- update to 0.7

* Sat Jun 13 2009 Automatic Build System <autodist@mambasoft.it> 0.6pre1.svn20090613-1mamba
- update to 0.6pre1.svn20090613

* Sat Jun 13 2009 Automatic Build System <autodist@mambasoft.it> 0.6pre1-2mamba
- automatic rebuild by autodist

* Wed Nov 07 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6pre1-1mamba
- package created by autospec
